Q: Is my Kindle Fire compatible with the library's ebooks?

If you have a 3rd, 4th, or 5th Generation Kindle Fire HD or HDX you can install the Axis 360 app directly from the Amazon App Store on your Kindle tablet! Just follow these instructions!

Do you have an e-ink Kindle or a 1st or 2nd Generation Kindle Fire? Unfortunately, Axis 360 is not compatible with these devices. You can still access free eBooks though through the Kansas City Public Library's Overdrive service.

If you're not sure which Kindle you own check out this Kindle Fire Compatibility Matrix.

 

Last Updated: Oct 26, 2017     Views: 970
Answered By: Melody K